Subject: Re: I/O timeout in nncp-daemon

From: John Goerzen <[email-masked]>
Date: Thu, 28 Jan 2021 09:03:13 -0600

On Thu, Jan 28 2021, Sergey Matveev wrote:

>>Could it be doing the checksum inline while it's writing it to 
>>disk in the
>>first place?
>
> Of course! But only if it gets the file from the very beginning. 
> Or if

Ah, true.  Perhaps in those cases, before reading the remaining 
parts from the network, it would read in the existing bits?  (Or 
just do the check afterwards as it does now.)

I suppose that could lead to inefficiences if, say, it's getting a 
1GB packet slowly and gets interrupted a bunch of times, but would 
probably help in the general case?

> I will look at all of that subject (with checking files 
> integrity
> asynchronously) when will find time.
>
> PS: please, do not add me as one of recipient of the email 
> message -- I
> am already subscribed to the maillist, and my Mail-Followup-To 
> header
> suggests that: https://cr.yp.to/proto/replyto.html

Hmm.  mu4e usually does the right thing, but in this case a basic 
reply is sending it to you personally, and a "reply all" is 
including you and the list on the reply.  I will try to remember 
to manually munge the headers on future replies.  Sorry about 
that.

- John